source 'http://ruby.taobao.org'
#source 'http://ruby.sdutlinux.org/'

unless RUBY_PLATFORM =~ /w32/
  # unix-like only
  gem 'iconv'
end

gem 'rest-client'
gem "mysql2", "= 0.3.18"
gem 'redis-rails'
gem 'rubyzip'
gem 'delayed_job_active_record'#, :group => :production
gem 'daemons'
gem 'grape', '~> 0.9.0'
gem 'grape-entity'
gem 'seems_rateable', '~> 1.0.13'
gem "rails", "3.2.13"
gem "jquery-rails", "~> 2.0.2"
gem "i18n", "~> 0.6.0"
gem 'coderay', '~> 1.1.0'
gem "fastercsv", "~> 1.5.0", :platforms => [:mri_18, :mingw_18, :jruby]
gem "builder", "3.0.0"
gem 'acts-as-taggable-on', '2.4.1'
gem 'spreadsheet'
gem 'ruby-ole'
gem 'rails_kindeditor',path:'lib/rails_kindeditor'
#gem "rmagick", ">= 2.0.0"

group :development do
  gem 'grape-swagger'
  gem 'better_errors', '~> 1.1.0'
  gem 'rack-mini-profiler', '~> 0.9.3'
end

group :development, :test do 
  unless RUBY_PLATFORM =~ /w32/
    gem 'pry-rails'
    if RUBY_VERSION >= '2.0.0'
      gem 'pry-byebug'
    end
    gem 'pry-stack_explorer'
  end

  gem 'rspec-rails', '~> 3.0'
  gem 'factory_girl_rails'
end

# Gems used only for assets and not required
# in production environments by default.
group :assets do
  gem 'sass-rails',   '~> 3.2.3'
  gem 'coffee-rails', '~> 3.2.1'

  # See https://github.com/sstephenson/execjs#readme for more supported runtimes
   gem 'therubyracer', :platforms => :ruby

  gem 'uglifier', '>= 1.0.3'
end

# Optional gem for LDAP authentication
group :ldap do
  gem "net-ldap", "~> 0.3.1"
end


# Optional gem for OpenID authentication
group :openid do
  gem "ruby-openid", "~> 2.1.4", :require => "openid"
  gem "rack-openid"
end


database_file = File.join(File.dirname(__FILE__), "config/database.yml")
if File.exist?(database_file)
else
  warn("Please configure your config/database.yml first")
end

# Load plugins' Gemfiles
Dir.glob File.expand_path("../plugins/*/Gemfile", __FILE__) do |file|
  puts "Loading #{file} ..." if $DEBUG # `ruby -d` or `bundle -v`
  instance_eval File.read(file)
end
